Bug 1279082 - Feature Request - Network Manager Metered Connection Mode
Feature Request - Network Manager Metered Connection Mode
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
24
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 13:40 EST by Timothy M. Butterworth
Modified: 2017-08-08 08:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:22:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy M. Butterworth 2015-11-07 13:40:03 EST
Description of problem: Currently their is no way to tell Network Manager that the system is connected to a metered Internet connection and optimize the system for data savings.

We need to add a Metered Connection Operational Mode to provide the following automatic configuration changes:

1. Temporarily Disable DNF/Packagekit cache refresh, this can be a costly process to run over a pay per meg metered connection and these services should automatically be temporarily disabled while metered connection mode is set.

2. Temporarily Disable avahi services.

3. Temporarily Disable 

4. Change the Firewalld profile to a metered connection profile designed to block and restrict high usage traffic like BitTorrent and other bandwidth eating services. It would provide the best data conservation if The FirewallD Metered Profile was configured to deny by default and permit by exception bi-directional with only standard ports: TCP 80/443, UDP 53, DHCP-Client, IMAP-SSL, SMTP etc being allowed by default, users can then customize this to add additional traffic they feel is appropriate for themselves to use.

5. If possible activate deep packet inspection to block web advertising/tracking in a system wide manner.

6. Because Metered connections charge for both upload and download traffic blocking all unnecessary broadcast/beacon traffic such as CUPS Beacon functionality.

7. Adjust NTP requests to use a longer time frame.

Putting this through a larger working group within Fedora for design planning would probably greatly improve and create the best implementation use case for implementing. This setting could also be used for slow non-metered or intermittent internet connections as well to improve productivity.
Comment 1 Timothy M. Butterworth 2015-11-07 13:41:37 EST
3. Should say temporarily disable other non-essential unnecessary bandwidth using services.
Comment 2 Timothy M. Butterworth 2015-11-07 13:43:10 EST
8. For users who may decide to perform a manual DNF Cache update this could also automatically enable Delta-RPM if it is not already enabled or possibly provide an update restriction (with bypass) to update only drpm capable packages as well.
Comment 3 Jan Kurik 2016-02-24 10:43:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:27:14 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:22:22 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.